summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTomáš Chvátal <scarabeus@gentoo.org>2016-08-02 22:29:12 +0200
committerTomáš Chvátal <scarabeus@gentoo.org>2016-08-02 22:40:17 +0200
commit78920cabe45bff25328265a21b6fdd695c581be3 (patch)
tree17127f57a5810f8b96101c8e5e120fae7d0ba875 /eclass/office-ext-r1.eclass
parentmedia-tv/tvheadend: Update ffmpeg static disable option (diff)
downloadgentoo-78920cabe45bff25328265a21b6fdd695c581be3.tar.gz
gentoo-78920cabe45bff25328265a21b6fdd695c581be3.tar.bz2
gentoo-78920cabe45bff25328265a21b6fdd695c581be3.zip
office-ext-r1.eclass: avoid repoman unknown dependency warning
Signed-off-by: Tomáš Chvátal <scarabeus@gentoo.org>
Diffstat (limited to 'eclass/office-ext-r1.eclass')
-rw-r--r--eclass/office-ext-r1.eclass23
1 files changed, 16 insertions, 7 deletions
diff --git a/eclass/office-ext-r1.eclass b/eclass/office-ext-r1.eclass
index f9492a839f31..e2d213dea4e1 100644
--- a/eclass/office-ext-r1.eclass
+++ b/eclass/office-ext-r1.eclass
@@ -72,14 +72,23 @@ RDEPEND=""
for i in ${OFFICE_IMPLEMENTATIONS[@]}; do
IUSE+=" office_implementation_${i}"
- RDEPEND+="
- office_implementation_${i}? (
- || (
- app-office/${i}${OFFICE_REQ_USE}
- app-office/${i}-bin${OFFICE_REQ_USE}
+ if [[ ${i} == "openoffice" ]]; then
+ # special only binary
+ RDEPEND+="
+ office_implementation_openoffice? (
+ app-office/openoffice-bin${OFFICE_REQ_USE}
)
- )
- "
+ "
+ else
+ RDEPEND+="
+ office_implementation_${i}? (
+ || (
+ app-office/${i}${OFFICE_REQ_USE}
+ app-office/${i}-bin${OFFICE_REQ_USE}
+ )
+ )
+ "
+ fi
done
REQUIRED_USE="|| ( "